const require_decorateMetadata = require('../../../../../../_virtual/_@oxc-project_runtime@0.94.0/helpers/decorateMetadata.js');
const require_decorate = require('../../../../../../_virtual/_@oxc-project_runtime@0.94.0/helpers/decorate.js');
const require_messageType = require('../../../util/messageType.js');
const require_DidCommMessage = require('../../../DidCommMessage.js');

//#region ../didcomm/src/modules/oob/messages/DidCommHandshakeReuseMessage.ts
var DidCommHandshakeReuseMessage = class DidCommHandshakeReuseMessage extends require_DidCommMessage.DidCommMessage {
	constructor(options) {
		super();
		this.type = DidCommHandshakeReuseMessage.type.messageTypeUri;
		if (options) {
			this.id = options.id ?? this.generateId();
			this.setThread({ parentThreadId: options.parentThreadId });
		}
	}
};
DidCommHandshakeReuseMessage.type = require_messageType.parseMessageType("https://didcomm.org/out-of-band/1.1/handshake-reuse");
require_decorate.__decorate([require_messageType.IsValidMessageType(DidCommHandshakeReuseMessage.type), require_decorateMetadata.__decorateMetadata("design:type", Object)], DidCommHandshakeReuseMessage.prototype, "type", void 0);

//#endregion
exports.DidCommHandshakeReuseMessage = DidCommHandshakeReuseMessage;